Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.io.filters
Class TestDirectiveListener

    java.lang.Object
      com.ejie.r01f.io.filters.TestDirectiveListener

All Implemented Interfaces:
  DirectiveListener

public class TestDirectiveListener
extends java.lang.Object
implements DirectiveListener

Listener de directivas SSI de portal que se encarga de interpretarlas y pedirlas a la WebApp correspondiente.

Field Summary
`java.util.List` | `directivas`

Constructor Summary
`TestDirectiveListener()` Constructor a partir de los delimitadores de comienzo y final

Method Summary
`char[]` | `processDirective(java.lang.String directiveText, long index)` Método llamado por el filtro de directivas cuando se encuentra con una directiva.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### directivas

    public java.util.List directivas

Constructor Detail

### TestDirectiveListener

    public TestDirectiveListener()

  Constructor a partir de los delimitadores de comienzo y final

Method Detail

### processDirective

    public char[] processDirective(java.lang.String directiveText,
                                   long index)

  Description copied from interface: `DirectiveListener`
  Método llamado por el filtro de directivas cuando se encuentra con una directiva.
  El método debe devolver el texto que se ha de devolver despues de procesar la
  directiva. Si NO hay que devolver nada, devolver null o una cadena vacía.

  Specified by:
    `processDirective` in interface `DirectiveListener`
  Parameters:
    `directiveText` - El texto de la directiva.
    `index` - El índice de comienzo de la directiva dentro del texto.
  Returns:
    El texto que se ha de devolver después de procesar la directiva.
    Si NO hay que devolver nada, devolver null o una cadena vacía.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD